<template>
  <div class="slide-container swiper">
    <div class=" swiper-wrapper">
      <div
        v-for="(slide, index) in slides"
        :key="index"
        class="card swiper-slide"
      >
        <div class="image-content">
          <div class="card-image">
            <img :src="slide.image" alt="" class="card-img" />
          </div>
          <div class="card-content">
            <div class="header-left">
              <h1 class="header">{{ slide.title }}</h1>
              <p class="text">{{ slide.description }}</p>
            </div>
            <button class="button">Читать продолжение</button>
          </div>
        </div>
      </div>
      
    </div>

    <div class="swiper-button-next"></div>
    <div class="swiper-button-prev prev-color"></div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      slides: [
        {
          image: "/src/img/1.jpg",
          title: "Цветочный бриз",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/2.jpg",
          title: "Спокойная обстановка",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/3.jpg",
          title: "Цветочное поле",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/4.jpg",
          title: "Голубой жемчуг",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/5.jpg",
          title: "Загадочный мужчина",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/6.jpg",
          title: "Облачные барашки",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/7.jpg",
          title: "Цветочная олея",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/8.jpg",
          title: "Морковный сад",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
        {
          image: "/src/img/9.jpg",
          title: "Нежный йожик",
          description:
            "Lorem ipsum dolor sit amet consectetur, adipisicing elit. Deleniti, rerum a. Qui quam quis mollitia error aperiam quasi, ex sunt excepturi aspernatur? Sint quod pariatur esse quisquam. Quisquam, non excepturi.",
        },
      ],
    };
  },
  mounted() {
    this.initializeSwiper();
  },
  methods: {
    initializeSwiper() {
      this.swiper = new Swiper(".slide-container", {
        slidesPerView: 3,
        spaceBetween: 25,
        loop: true,
        centerSlide: true,
        grabCursor: true,
        pagination: {
          el: ".swiper-pagination",
          clickable: true,
          dynamicBullets: true,
        },
        navigation: {
          nextEl: ".swiper-button-next",
          prevEl: ".swiper-button-prev",
        },
        breakpoints: {
          0: {
            slidesPerView: 1,
          },
          520: {
            slidesPerView: 2,
          },
          950: {
            slidesPerView: 3,
          },
        },
      });
    },
  },
  beforeDestroy() {
    if (this.swiper) {
      this.swiper.destroy();
    }
  },
};
</script>

<style scoped></style>
